npm command-line interface

# npm-stop

Stop a package

## Table of contents

- Synopsis
- Description
- Example
- See Also

### Synopsis

    npm stop [-- <args>]

### Description

This runs a predefined command specified in the “stop” property of a package’s “scripts” object.

Unlike with npm start, there is no default script that will run if the `"stop"` property is not defined.

### Example

    {
      "scripts": {
        "stop": "node bar.js"
      }
    }

    npm stop

    > npm@x.x.x stop
    > node bar.js

    (bar.js output would be here)

### See Also

- npm run-script
- npm scripts
- npm test
- npm start
- npm restart